(function(){
    X.pageLogic['useradminedit'] = {
        init : function(){
            var data = {
                "authDataPowers":[
                    {
                        title: '全部事件'
                        ,id: -1
                    }
                ],
                "authRoles":[
                    {
                        title:"管理员",
                        id:0
                    },
                    {
                        title:"分析师",
                        id:1
                    },
                    {
                        title:"普通成员",
                        id:2
                    },
                ]
            }
            X.laytpldata("#useradminedit-js-dot",data["authRoles"],".useradminedit-js");
            X.laytpldata("#useradminedit-sjqx-dot",data["authDataPowers"],".useradminedit-sjqx");
            layui.form.render();

            $(".useradminedit-top-box img").click(function(){
                layer.closeAll();
            })

            $(".useradminedit-qx").click(function(){
                layer.closeAll();
            })

            $(".useradminedit-qd").click(function(){
                var data = layui.form.val('example');
                
                layer.closeAll();
            })
            
        }
    };
})();
